RegionHelper (Apache Geode 1.9.2)
Date: 2019-10-15

org.apache.geode.modules.util

## Class RegionHelper

- java.lang.Object
- - org.apache.geode.modules.util.RegionHelper

-     public class RegionHelper
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `NAME`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Region` | `createRegion(Cache cache, RegionConfiguration configuration)`
    `static String` | `generateCacheXml(Cache cache)`
    `static String` | `getRebalanceResultsMessage(RebalanceResults results)`
    `static RebalanceResults` | `rebalanceCache(GemFireCache cache)`
    `static RebalanceResults` | `rebalanceRegion(Region region)`
    `static void` | `validateRegion(Cache cache, RegionConfiguration configuration, Region region)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAME

          public static final String NAME

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### createRegion

          public static Region createRegion(Cache cache,
                                            RegionConfiguration configuration)

    - #### validateRegion

          public static void validateRegion(Cache cache,
                                            RegionConfiguration configuration,
                                            Region region)

    - #### rebalanceRegion

          public static RebalanceResults rebalanceRegion(Region region)
                                                  throws CancellationException,
                                                         InterruptedException

      Throws:
        `CancellationException`
        `InterruptedException`

    - #### rebalanceCache

          public static RebalanceResults rebalanceCache(GemFireCache cache)
                                                 throws CancellationException,
                                                        InterruptedException

      Throws:
        `CancellationException`
        `InterruptedException`

    - #### generateCacheXml

          public static String generateCacheXml(Cache cache)

    - #### getRebalanceResultsMessage

          public static String getRebalanceResultsMessage(RebalanceResults results)